Package in.cdac.medinfo.csnotk.csnolib.model

## Class SimpleMapRefset

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent
  - - in.cdac.medinfo.csnotk.csnolib.model.Component
    - - in.cdac.medinfo.csnotk.csnolib.model.SimpleMapRefset

-     public class SimpleMapRefset
      extends Component

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Byte` | `getActiveStatus()` | Retrieves the status of the Relationship.
    `java.lang.String` | `getId()` | Returns the component identifier.
    `java.lang.String` | `getMapTarget()` | Returns mapTarget of the SimpleMapRefset
    `java.lang.String` | `getModuleId()` | returns the module Id of the Relationship.
    `Concept` | `getreferencedComponent()` | Returns the referenced Component Id.
    `java.lang.String` | `getRefSetId()` | Returns id of the Refset
    `java.util.Date` | `getTime()` | returns the effective time of the SimpleMapRefset.
    `void` | `setActiveStatus​(java.lang.Byte activeStatus)` | sets the Relationship status.
    `void` | `setId​(java.lang.String id)` | sets the Id of the relationship.
    `void` | `setMapTarget​(java.lang.String mapTarget)` | Sets the SimpleMapRefset mapTarget
    `void` | `setModuleId​(java.lang.String modId)` | sets the module Id of the SimpleMapRefset.
    `void` | `setreferencedComponent​(Concept referencedComponent)` | Sets the source referenced Component Id.
    `void` | `setRefSetId​(java.lang.String refSetId)` | Sets the Refset Id
    `void` | `setTime​(java.util.Date date)` | sets the effective time.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from class: `Component`
      Returns the component identifier.
      Overrides:
        `getId` in class `Component`
      Returns:
        a unique identifier for this relationship.

    - #### setId

          public void setId​(java.lang.String id)

      sets the Id of the relationship.
      Overrides:
        `setId` in class `Component`
      Parameters:
        `id` - represents Component id.

    - #### getActiveStatus

          public java.lang.Byte getActiveStatus()

      Retrieves the status of the Relationship.
      Overrides:
        `getActiveStatus` in class `VersionedComponent`
      Returns:
        activeStatus of a component

    - #### setActiveStatus

          public void setActiveStatus​(java.lang.Byte activeStatus)

      sets the Relationship status.
      Overrides:
        `setActiveStatus` in class `VersionedComponent`
      Parameters:
        `activeStatus` - represents active Status of the component

    - #### getModuleId

          public java.lang.String getModuleId()

      returns the module Id of the Relationship.
      Overrides:
        `getModuleId` in class `VersionedComponent`
      Returns:
        module Id of a component

    - #### setModuleId

          public void setModuleId​(java.lang.String modId)

      sets the module Id of the SimpleMapRefset.
      Overrides:
        `setModuleId` in class `VersionedComponent`
      Parameters:
        `modId` - represents module Id of a component

    - #### getTime

          public java.util.Date getTime()

      returns the effective time of the SimpleMapRefset.
      Overrides:
        `getTime` in class `VersionedComponent`
      Returns:
        effective time of that component

    - #### setTime

          public void setTime​(java.util.Date date)

      sets the effective time.
      Overrides:
        `setTime` in class `VersionedComponent`
      Parameters:
        `date` - - represents effective time

    - #### getRefSetId

          public java.lang.String getRefSetId()

      Returns id of the Refset
      Returns:
        id of a Refset

    - #### setRefSetId

          public void setRefSetId​(java.lang.String refSetId)

      Sets the Refset Id
      Parameters:
        `refSetId` - Id of a Refset

    - #### getreferencedComponent

          public Concept getreferencedComponent()

      Returns the referenced Component Id.
      Returns:
        the identifier of the source `Concept` of this SimpleMapRefset.

    - #### setreferencedComponent

          public void setreferencedComponent​(Concept referencedComponent)

      Sets the source referenced Component Id.
      Parameters:
        `referencedComponent` - Id of the referencedComponent concept.

    - #### getMapTarget

          public java.lang.String getMapTarget()

      Returns mapTarget of the SimpleMapRefset
      Returns:
        mapTarget of a SimpleMapRefset

    - #### setMapTarget

          public void setMapTarget​(java.lang.String mapTarget)

      Sets the SimpleMapRefset mapTarget
      Parameters:
        `mapTarget` - mapTarget of a SimpleMapRefset